﻿using System;
using Zeus.Interop.SampleSite.Helpers;
using Zeus.Interop.SampleSite.Models;
using Zeus.Interop.SampleSite.Stubs;

namespace Zeus.Interop.SampleSite
{
    public partial class CustomerView : Zeus.Web.Mvc.Interop.ViewPage<Customer>
    {
        private readonly ICustomerService _customerSvc = ServiceLocator.GetService<ICustomerService>();
        
        protected void Page_Load(object sender, EventArgs e)
        {
            Model = _customerSvc.GetCustomerById(Url.GetCustomerId());
        }
    }
}