﻿using System.Collections.Generic;
using Zeus.Interop.SampleSite.Models;

namespace Zeus.Interop.SampleSite.Stubs
{
    public class ProductService : IProductService
    {
        private readonly IRepository _repository;

        public ProductService(IRepository repository)
        {
            _repository = repository;
        }

        public ProductService() : this(new StaticData())
        {
        
        }

        public IEnumerable<Product> GetProducts()
        {
            return _repository.Products;
        }
    }
}